//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

namespace CommonHelpers {

//**************************************************************************************************
partial class HLnkConverter { public static class Verbose {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string CAN_NOT_LOAD_DUMMY_SHORTCUT_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not load shortcut dummy-file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся загрузить ссылочный файл-куклу: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string
PRESENCE_OF_AT_LEAST_ONE_OF_SHORTCUT_PROPERTIES_IS_REQUIRED_PATH_DISPLAYNAME__0_1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Presence of at least one of shortcut properties is required: \"Path\", \"DisplayName\".\n"+
      "{0}: \"{1}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Необходимо присутствие хотя бы одного из ссылочных свойств: \"Path\", \"DisplayName\".\n"+
      "{0}: \"{1}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//--------------------------------------------------------------------------------------------------

public static string AttemptToSaveInFile
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Attempt to save in file";
   case HInCodeSupportedLanguage.Russian: return
      "Попытка сохранения в файле";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string File
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "File";
   case HInCodeSupportedLanguage.Russian: return
      "Файл";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string UNKNOWN_SHORTCUT_PROPERTY_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Unknown shortcut property: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Неизвестное ссылочное свойство: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string UNSUPPORTED_SHORTCUT_PROPERTY_0__UNSUPPORTED_TYPE_1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Unsupported shortcut property: \"{0}\".\n"+
      "Unsupported type: \"{1}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Данное ссылочное свойство не поддерживается: \"{0}\".\n"+
      "Неподдерживаемый тип: \"{1}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CAN_NOT_OBTAIN_VALUE_OF_PROPERTY_0_OF_TYPE_1__2
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not obtain value of property \"{0}\" of type \"{1}\".\n"+
      "{2}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся получить значение свойства \"{0}\" типа \"{1}\".\n"+
      "{2}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string REPEATING_PROPERTY_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Repeatable property: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Повторяющееся свойство: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CAN_NOT_PROCESS_ENVIRONMENT_VARIABLES_FOR_PROPERTY_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not process environment variables for property: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся обработать переменные среды для свойства: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string THE_LINE_IS_NOT_OF_NAME_VALUE_PATTERN
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "The line is not of name \"<Name> = <Value>\" pattern.";
   case HInCodeSupportedLanguage.Russian: return
      "Строка не является строкою свойства вида: \"<Имя> = <Значение>\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string CAN_NOT_OPEN_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not open file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся открыть файл: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string FILE_READING_ERROR_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "File reading error: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Ошибка чтения файла: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string SYNTAX_ERROR_IN_FILE_0_LINE_1__2
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Syntax error in file: \"{0}\" (line: {1}).\n"+
      "{2}";
   case HInCodeSupportedLanguage.Russian: return
      "Синтаксическая ошибка в файле: \"{0}\" (строка: {1}).\n"+
      "{2}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CAN_NOT_CLOSE_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not close file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся закрыть файл: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CAN_NOT_CREATE_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not create file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся создать файл: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string ERROR_OF_WRITING_IN_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Error of writing in file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Ошибка записи в файл: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string CAN_NOT_LOAD_SHORTCUT_PROPERTIES_FROM_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not load shortcut properties from file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся загрузить ссылочные свойства из файла: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CAN_NOT_SAVE_SHORTCUT_PROPERTIES_TO_FILE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not save shortcut properties to file: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся сохранить ссылочные свойства в файле: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string UNEXPECTED_ERROR_DURING_LOADING_OF_SHORTCUT_PROPERTIES_FROM_FILE_0__1__2
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Unexpected error during loading of shortcut properties from file: \"{0}\".\n"+
      "___ {1}: ___\n"+
      "{2}";
   case HInCodeSupportedLanguage.Russian: return
      "Непредвиденная ошибка при загрузке ссылочных свойств из файла: \"{0}\".\n"+
      "___ {1}: ___\n"+
      "{2}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string UNEXPECTED_ERROR_DURING_SAVING_OF_SHORTCUT_PROPERTIES_TO_FILE_0__1__2
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Unexpected error during saving of shortcut properties to file: \"{0}\".\n"+
      "___ {1}: ___\n"+
      "{2}";
   case HInCodeSupportedLanguage.Russian: return
      "Непредвиденная ошибка при сохранении ссылочных свойств в файле: \"{0}\".\n"+
      "___ {1}: ___\n"+
      "{2}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//--------------------------------------------------------------------------------------------------

public static string ErrorInformation
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Error information";
   case HInCodeSupportedLanguage.Russian: return
      "Информация ошибки";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string POSITION_FROM_BEGINNING_OF_TXT_STRING_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Position from beginning of txt-string: {0}.";
   case HInCodeSupportedLanguage.Russian: return
      "Позиция от начала txt-строки: {0}.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//--------------------------------------------------------------------------------------------------

public static string REFERENCE_TO_ENVIRONMENT_VARIABLE_WAS_NOT_TERMINATED_BY_PERCENT_SIGN_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Reference to environment variable was not terminated by percent sign (\"{0}\").";
   case HInCodeSupportedLanguage.Russian: return
      "Ссылка на переменную среды не была завершена знаком процента (\"{0}\").";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string REFERENCE_TO_ENVIRONMENT_VARIABLE_WAS_NOT_TERMINATED_BY_PARENTHESIS_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Reference to environment variable was not terminated by parenthesis (\"{0}\").";
   case HInCodeSupportedLanguage.Russian: return
      "Ссылка на переменную среды не была завершена знаком круглой скобки (\"{0}\").";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string REFERENCE_TO_EMPTY_NAME_OF_ENVIRONMENT_VARIABLE_WAS_ENCOUNTERED
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Reference to empty name of environment was encountered.";
   case HInCodeSupportedLanguage.Russian: return
      "Ссылка на пустое имя переменной окружающей среды.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string REFERENCE_TO_EMPTY_NAME_OF_DOLLAR_VARIABLE_OF_ENVIRONMENT_WAS_ENCOUNTERED
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Reference to empty name of dollar-variable of environment was encountered.";
   case HInCodeSupportedLanguage.Russian: return
      "Ссылка на пустое имя \"доллар\"-переменной окружающей среды.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string  CAN_NOT_EXTRACT_VALUE_OF_ENVIRONMENT_VARIABLE_0__1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Can not extract value on environment variable: \"{0}\".\n"+
      "{1}";
   case HInCodeSupportedLanguage.Russian: return
      "Не удаётся извлечь значение переменной среды окружения: \"{0}\".\n"+
      "{1}";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string REFERENCE_TO_UNDETERMINED_OR_EMPTY_VARIABLE_OF_ENVIRONMENT_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Reference to undetermined or empty variable of environment: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Ссылка на неопределённую либо пустую переменную среды: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string
NAME_OF_DOLLAR_VARIABLE_OF_ENVIRONMENT_MUST_NOT_CONTAIN_PERCENT_SIGN_CHARACTERS_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Name of dollar-variable of environment must not contain percent sign characters (\"{0}\").";
   case HInCodeSupportedLanguage.Russian: return
      "Имя доллар-переменной среды не должно содержать символов процента (\"{0}\").";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string NAME_OF_DOLLAR_VARIABLE_OF_ENVIRONMENT_MUST_NOT_CONTAIN_PARENTHESIS_0_1
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Name of dollar-variable of environment must not contain parenthesis (\"{0}\",\"{1\").";
   case HInCodeSupportedLanguage.Russian: return
      "Имя доллар-переменной среды не должно содержать круглых скобок (\"{0}\",\"{1\").";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
}} // HLnkConverter.Verbose
//**************************************************************************************************

} // CommonHelpers
